var assert = require('assert');
var crypto = require('crypto');
var sha256 = require('../lib/sha256.js');

describe('sha256', function() {
  describe('#hash()', function() {
    it('should return correct hash', function() {
      var input = new Buffer([0x01, 0x02, 0x03, 0x04]);
      var output = sha256.hash(input).toString('hex');
      var truth = crypto.createHash('sha256').update(input).digest('hex');
      assert.equal(truth, output);
    });
  });
});
